## i2c-tools 3.0.0

=== Makefile ===
# I2C tools for Linux
#
# Copyright (C) 2007  Jean Delvare <khali@linux-fr.org>
#
# Licensed under the GNU General Public License.

DESTDIR	=
prefix	= /usr/local
bindir	= $(prefix)/bin
sbindir	= $(prefix)/sbin
mandir	= $(prefix)/share/man
man8dir	= $(mandir)/man8
incdir	= $(prefix)/include

INSTALL		:= install
INSTALL_DATA	:= $(INSTALL) -m 644
INSTALL_DIR	:= $(INSTALL) -m 755 -d
INSTALL_PROGRAM	:= $(INSTALL) -m 755
RM		:= rm -f

CC	:= gcc
CFLAGS	:= -Wall

CFLAGS	+= -O2
# When debugging, use the following instead
#CFLAGS	+= -O -g

KERNELVERSION	:= $(shell uname -r)

.PHONY: all strip clean install uninstall

all:

include eeprom/Module.mk
include include/Module.mk
include tools/Module.mk

=== eepromer/Makefile ===
#eepromer  Makefile

CFLAGS = -O2 -I../include -Wall

all:  eepromer eeprom eeprog

eepromer:  eepromer.o

eeprom:  eeprom.o

eeprog: eeprog.o 24cXX.o

clean:
	rm -rf *~ *.o eepromer eeprom eeprog

## i2c-tools 3.0.2-1maemo1

=== debian/changelog ===
i2c-tools (3.0.2-1maemo1) fremantle; urgency=low

  * Initial release

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Thu,  3 Jun 2010 13:39:04 +0300

=== debian/control ===
Source: i2c-tools
Section: tools
Priority: extra
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: i2c-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: I2C tools for linux
 WARNING!
 Using i2cset and i2ctools may cause serious permanent HARDWARE damage to the device, use it with caution and ONLY if you know what you're doing.
 The developers and the maintainers are NOT responsible for any damage done.
 You have been warned.
 This package contains an heterogeneous set of I2C tools for Linux. These tools
 were originally part of the lm-sensors package but were finally split into
 their own package for convenience.
 .
 CONTENTS
 --------
 .
 The various tools included in this package are grouped by category, each
 category has its own sub-directory:
 .
 * eeprom
   Perl scripts for decoding different types of EEPROMs (SPD, EDID...) These
   scripts rely on the "eeprom" kernel driver. They are installed by default.
 .
 * eepromer
   Tools for writing to EEPROMs. These tools rely on the "i2c-dev" kernel
   driver. They are not installed by default.
 .
 * include
   C/C++ header files for I2C and SMBus access over i2c-dev. Installed by
   default.
 .
 * py-smbus
   Python wrapper for SMBus access over i2c-dev. Not installed by default.
 .
 * stub
   A helper script to use with the i2c-stub kernel driver. Installed by
   default.
 .
 * tools
   I2C device detection and register dump tools. These tools rely on the
   "i2c-dev" kernel driver. They are installed by default.
 .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp 

	# Add here commands to compile the arch part of the package.
	$(MAKE) 
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp 

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: install-arch
install-indep:
	dh_testdir
	dh_testroot

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) DESTDIR=$(CURDIR)/debian/i2c-tools install
	mv $(CURDIR)/debian/i2c-tools/usr/local/share/man $(CURDIR)/debian/i2c-tools/opt/

	dh_install -s
# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
#binary-indep: build-indep install-indep
#	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

## i2c-tools 3.0.2-1maemo2

=== debian/changelog ===
i2c-tools (3.0.2-1maemo2) fremantle; urgency=low

  * Using /usr/sbin instead of /usr/local/sbin

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Sun,  26 Sep 2010 22:41:35 +0200

=== debian/rules ===
--- 
+++ 
@@ -75,7 +75,7 @@
 	# Add here commands to install the arch part of the package into 
 	# debian/tmp.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/i2c-tools install
-	mv $(CURDIR)/debian/i2c-tools/usr/local/share/man $(CURDIR)/debian/i2c-tools/opt/
+#	mv $(CURDIR)/debian/i2c-tools/usr/local/share/man $(CURDIR)/debian/i2c-tools/opt/
 
 	dh_install -s
 # Must not depend on anything. This is to be called by

## i2c-tools 3.0.2-1maemo3

=== Makefile ===
--- 
+++ 
@@ -5,10 +5,10 @@
 # Licensed under the GNU General Public License.
 
 DESTDIR	=
-prefix	= /usr/local
+prefix	= /usr
 bindir	= $(prefix)/bin
 sbindir	= $(prefix)/sbin
-mandir	= $(prefix)/share/man
+mandir	= /opt/man
 man8dir	= $(mandir)/man8
 incdir	= $(prefix)/include
 
@@ -33,4 +33,5 @@
 
 include eeprom/Module.mk
 include include/Module.mk
+include stub/Module.mk
 include tools/Module.mk

=== debian/changelog ===
i2c-tools (3.0.2-1maemo3) fremantle; urgency=low

  * Move header files into separate package (i2c-dev)

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Mon, 22 Nov 2010 16:34:53 +0200

=== debian/control ===
--- 
+++ 
@@ -31,10 +31,6 @@
    Tools for writing to EEPROMs. These tools rely on the "i2c-dev" kernel
    driver. They are not installed by default.
  .
- * include
-   C/C++ header files for I2C and SMBus access over i2c-dev. Installed by
-   default.
- .
  * py-smbus
    Python wrapper for SMBus access over i2c-dev. Not installed by default.
  .
@@ -46,3 +42,8 @@
    I2C device detection and register dump tools. These tools rely on the
    "i2c-dev" kernel driver. They are installed by default.
  .
+
+Package: i2c-dev
+Architecture: any
+Description: i2c-dev header files.
+ C/C++ header files for I2C and SMBus access over i2c-dev.

=== debian/rules ===
--- 
+++ 
@@ -75,7 +75,7 @@
 	# Add here commands to install the arch part of the package into 
 	# debian/tmp.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/i2c-tools install
-#	mv $(CURDIR)/debian/i2c-tools/usr/local/share/man $(CURDIR)/debian/i2c-tools/opt/
+	mv debian/i2c-tools/usr/include debian/i2c-dev/usr/include
 
 	dh_install -s
 # Must not depend on anything. This is to be called by

## i2c-tools 3.0.3

=== debian/changelog ===
i2c-tools (3.0.3-5) unstable; urgency=low

  * Switch to dh_python2:
    - Build-depends on python-all-dev (>= 2.6.6-3~).
    - Drop build-depends on python-support.
    - Remove XB-Python-Version field.
    - Call dh_python2 instead of dh_pysupport.
    - Replace debian/pyversion by X-Python-Version.
  * Add build-arch and build-indep targets.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 27 Jun 2011 23:42:49 +0200

i2c-tools (3.0.3-4) unstable; urgency=low

  * Don't try to change the i2c devices permissions if MAKEDEV doesn't 
    create them. (Closes: #622156).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Apr 2011 19:19:15 +0200

i2c-tools (3.0.3-3) unstable; urgency=low

  * Fix inverted logic in postinst. (Closes: #621898). 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Apr 2011 10:47:39 +0200

i2c-tools (3.0.3-2) unstable; urgency=low

  * Fix a typo in i2cset manpage. (Closes: #602368).
  * Don't try to detect udev before creating a device, it's already done
    by MAKEDEV. (Closes: #620785).
  * Bump standard versions to 3.9.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 09 Apr 2011 14:25:18 +0200

i2c-tools (3.0.3-1) unstable; urgency=low

  * New upstream version. 
  * Bump standard versions to 3.9.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Feb 2011 15:44:11 +0100

i2c-tools (3.0.2-5) unstable; urgency=low

  * Add depends on adduser to i2ctools. (Closes: #608835). 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 03 Jan 2011 23:22:26 +0100

i2c-tools (3.0.2-4) unstable; urgency=low

  * Add ${misc:Depends} to all binaries.
  * Create an i2c group on install, and add a udev file to set the group
    and the mode of /dev/i2c-* nodes.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 14 Jan 2010 06:39:06 +0100

i2c-tools (3.0.2-3) unstable; urgency=low

  * Correctly call dh_pysupport. (Closes: #556147). 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 14 Nov 2009 14:27:26 +0100

i2c-tools (3.0.2-2) unstable; urgency=low

  * i2c-tools: depends on udev | makedev and create /dev/i2c-0 (Closes: 
    bug#546871).
  * Bump standard versions to 3.8.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 14 Oct 2009 00:19:49 +0200

i2c-tools (3.0.2-1) unstable; urgency=low

  * New upstream version.
  * Bump standard versions to 3.8.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 28 Jan 2009 23:37:31 +0100

i2c-tools (3.0.1-1) unstable; urgency=low

  * New upstream version. 

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 04 Apr 2008 22:14:04 +0200

i2c-tools (3.0.0-2) unstable; urgency=low

  * Bump standard versions to 3.7.3 (no changes).
  * Fix python-pysmbus description.
  * Fix debian/copyright.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 02 Mar 2008 18:54:37 +0100

i2c-tools (3.0.0-1) unstable; urgency=low

  * New upstream package split from lm-sensors.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 27 Nov 2007 16:46:35 +0100

=== debian/control ===
Source: i2c-tools
Section: utils
Priority: extra
Build-Depends: debhelper (>= 5), python-all-dev (>= 2.6.6-3~)
Maintainer: Aurelien Jarno <aurel32@debian.org>
Standards-Version: 3.9.2
Homepage: http://www.lm-sensors.org
X-Python-Version: >= 2.2

Package: i2c-tools
Architecture: any
Section: utils
Conflicts: lm-sensors (<< 1:3.0.0-1)
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, adduser, udev | makedev
Suggests: libi2c-dev, python-smbus
Description: heterogeneous set of I2C tools for Linux
 This package contains a heterogeneous set of I2C tools for Linux: a bus
 probing tool, a chip dumper, register-level access helpers, EEPROM
 decoding scripts, and more.

Package: libi2c-dev
Architecture: all
Depends: ${misc:Depends}
Section: libdevel
Recommends: i2c-tools
Description: userspace I2C programming library development files
 I2C devices are usually controlled by a kernel driver. Using this
 library it is also possible to access all devices on an adapter 
 from userspace and without the knowledge of Linux kernel internals.

Package: python-smbus
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Recommends: i2c-tools
Description: Python bindings for Linux SMBus access through i2c-dev 
 This Python module allows SMBus access through the I2C /dev interface on 
 Linux hosts.  The host kernel must have I2C support, I2C device interface
 support, and a bus adapter driver.

## i2c-tools 3.1.0

=== Makefile ===
# I2C tools for Linux
#
# Copyright (C) 2007  Jean Delvare <khali@linux-fr.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

DESTDIR	=
prefix	= /usr/local
bindir	= $(prefix)/bin
sbindir	= $(prefix)/sbin
mandir	= $(prefix)/share/man
man8dir	= $(mandir)/man8
incdir	= $(prefix)/include

INSTALL		:= install
INSTALL_DATA	:= $(INSTALL) -m 644
INSTALL_DIR	:= $(INSTALL) -m 755 -d
INSTALL_PROGRAM	:= $(INSTALL) -m 755
RM		:= rm -f

CC	?= gcc

CFLAGS	?= -O2
# When debugging, use the following instead
#CFLAGS	:= -O -g
CFLAGS	+= -Wall

KERNELVERSION	:= $(shell uname -r)

.PHONY: all strip clean install uninstall

all:

EXTRA	:=
#EXTRA	+= py-smbus
SRCDIRS	:= include eeprom stub tools $(EXTRA)
include $(SRCDIRS:%=%/Module.mk)

=== debian/changelog ===
i2c-tools (3.1.0-2) unstable; urgency=low

  * decode-dimms: exit gracefully when no EEPROM are found on the system
    (Closes: #681057).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 14 Jul 2012 17:09:59 +0200

i2c-tools (3.1.0-1) unstable; urgency=low

  * New usptream version. (Closes: #670956). 
  * Bump Standards-Version to 3.9.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 01 May 2012 13:28:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Build-Depends: debhelper (>= 5), python-all-dev (>= 2.6.6-3~)
 Maintainer: Aurelien Jarno <aurel32@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.lm-sensors.org
 X-Python-Version: >= 2.2

=== debian/rules ===
#!/usr/bin/make -f

# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
        INSTALL_PROGRAM += -s
endif

PYVERS = $(shell pyversions -v -r debian/control)

clean:
	dh_testdir
	dh_testroot
	
	$(MAKE) clean

	rm -rf py-smbus/build
	rm -f *-stamp*
	dh_clean 


# Build everything that goes into the Debian package.  Use recursive make
# invocations to build all of the interesting components.
build: build-arch build-indep
build-arch: build-stamp-binaries $(PYVERS:%=build-stamp-python-%)
build-indep: build-stamp-binaries

build-stamp-binaries:
	dh_testdir
	$(MAKE) CFLAGS="$(CFLAGS)"
	touch $@

build-stamp-python-%:
	dh_testdir
	cd py-smbus && \
		CFLAGS="$(CFLAGS) -I../include" python$* setup.py build
	touch $@

install: install-stamp-binaries $(PYVERS:%=install-stamp-python-%)

install-stamp-binaries: build-stamp-binaries
	dh_testdir 
	dh_testroot 
	dh_clean -k 
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp prefix=/usr

	dh_install --sourcedir=debian/tmp

	touch $@

install-stamp-python-%: build-stamp-python-%
	dh_testdir 
	dh_testroot 
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp prefix=/usr
	cd py-smbus && \
		CFLAGS="$(CFLAGS) -I../include" python$* setup.py install --install-layout=deb --root=$(CURDIR)/debian/python-smbus

	touch $@


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir 
	dh_testroot
	dh_installchangelogs -i CHANGES
	dh_installdocs -i
	dh_installman -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependant files that arn't kernel modules here.
binary-arch: build install
	dh_testdir 
	dh_testroot
	dh_installchangelogs -a CHANGES
	dh_installdocs -a
	dh_installman -a
	dh_installudev -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_perl -a
	dh_makeshlibs -a
	dh_python2 -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: clean build build-arch build-indep install binary-indep binary-arch binary

## i2c-tools 3.1.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # I2C tools for Linux
 #
-# Copyright (C) 2007  Jean Delvare <khali@linux-fr.org>
+# Copyright (C) 2007-2012  Jean Delvare <jdelvare@suse.de>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== debian/changelog ===
i2c-tools (3.1.1-1) unstable; urgency=medium

  * New upstream version.
  * Refresh 01-decode-dimms-no-eeprom.diff.
  * Install new manpages.
  * Set CFLAGS, CPPFLAGS and LDFLAGS to build with hardening support.
  * Recommends read-edid. (Closes: #740541).
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 02 Mar 2014 23:32:19 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Build-Depends: debhelper (>= 5), python-all-dev (>= 2.6.6-3~)
 Maintainer: Aurelien Jarno <aurel32@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://www.lm-sensors.org
 X-Python-Version: >= 2.2
 
@@ -12,6 +12,7 @@
 Section: utils
 Conflicts: lm-sensors (<< 1:3.0.0-1)
 Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, adduser, udev | makedev
+Recommends: read-edid
 Suggests: libi2c-dev, python-smbus
 Description: heterogeneous set of I2C tools for Linux
  This package contains a heterogeneous set of I2C tools for Linux: a bus

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,14 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
 
-ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
-        CFLAGS += -g
-endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
         INSTALL_PROGRAM += -s
 endif
+
+CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
+export CFLAGS CPPFLAGS LDFLAGS
 
 PYVERS = $(shell pyversions -v -r debian/control)

## i2c-tools 3.1.2

=== debian/changelog ===
i2c-tools (3.1.2-3) unstable; urgency=medium

  * Add 02-udevadm.diff to change the udevadm path from /sbin to /bin
    (Closes: #852567).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 25 Jan 2017 21:41:33 +0100

i2c-tools (3.1.2-2) unstable; urgency=medium

  * Set architecture to linux-any.
  * Pass CPPFLAGS through CFLAGS as the upstream makefile doesn't support the
    former.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 28 Nov 2016 18:47:04 +0100

i2c-tools (3.1.2-1) unstable; urgency=medium

  * New upstream version.
  * Update debian/copyright with an alternative download location given
    the upstream website is dead.
  * Rewrite debian/rules using dh.
  * Remove support for makedev, unconditionally depends on udev.
  * Add a python3 package (Closes: #800774).
  * Bump Standards-Version to 3.9.8.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 07 Nov 2016 23:00:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: i2c-tools
 Section: utils
 Priority: extra
-Build-Depends: debhelper (>= 5), python-all-dev (>= 2.6.6-3~)
+Build-Depends: debhelper, dh-python, python-all-dev, python3-all-dev
 Maintainer: Aurelien Jarno <aurel32@debian.org>
-Standards-Version: 3.9.5
-Homepage: http://www.lm-sensors.org
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.2
+X-Python3-Version: >= 3.0
 
 Package: i2c-tools
-Architecture: any
+Architecture: linux-any
 Section: utils
 Conflicts: lm-sensors (<< 1:3.0.0-1)
-Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, adduser, udev | makedev
+Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, adduser, udev
 Recommends: read-edid
 Suggests: libi2c-dev, python-smbus
 Description: heterogeneous set of I2C tools for Linux
@@ -30,8 +30,9 @@
  from userspace and without the knowledge of Linux kernel internals.
 
 Package: python-smbus
-Architecture: any
+Architecture: linux-any
 Section: python
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 Recommends: i2c-tools
@@ -39,3 +40,15 @@
  This Python module allows SMBus access through the I2C /dev interface on 
  Linux hosts.  The host kernel must have I2C support, I2C device interface
  support, and a bus adapter driver.
+
+Package: python3-smbus
+Architecture: linux-any
+Section: python
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
+Provides: ${python3:Provides}
+Recommends: i2c-tools
+Description: Python 3 bindings for Linux SMBus access through i2c-dev 
+ This Python 3 module allows SMBus access through the I2C /dev interface on 
+ Linux hosts.  The host kernel must have I2C support, I2C device interface
+ support, and a bus adapter driver.

=== debian/rules ===
#!/usr/bin/make -f

PY2VERS = $(shell pyversions -v -r debian/control)
PY3VERS = $(shell py3versions -v -r debian/control)
PYVERS = $(PY2VERS) $(PY3VERS)

%:
	dh $@ --parallel --with python2,python3

override_dh_auto_build:
	$(MAKE) CFLAGS="$(CPPFLAGS) $(CFLAGS)"
	cd py-smbus && for v in $(PYVERS) ; do \
		CFLAGS="$(CPPFLAGS) $(CFLAGS) -I../include" python$$v setup.py build ; \
	done

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp prefix=/usr
	cd py-smbus && for v in $(PYVERS) ; do \
		CFLAGS="$(CPPFLAGS) $(CFLAGS) -I../include" python$$v setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done

override_dh_auto_clean:
	rm -rf py-smbus/build
	dh_auto_clean

## i2c-tools 4.0

=== Makefile ===
--- 
+++ 
@@ -14,19 +14,29 @@
 mandir	= $(prefix)/share/man
 man8dir	= $(mandir)/man8
 incdir	= $(prefix)/include
+libdir	= $(prefix)/lib
 
 INSTALL		:= install
 INSTALL_DATA	:= $(INSTALL) -m 644
 INSTALL_DIR	:= $(INSTALL) -m 755 -d
 INSTALL_PROGRAM	:= $(INSTALL) -m 755
+LN		:= ln -sf
 RM		:= rm -f
 
 CC	?= gcc
+AR	?= ar
 
-CFLAGS	?= -O2
+CFLAGS		?= -O2
 # When debugging, use the following instead
-#CFLAGS	:= -O -g
-CFLAGS	+= -Wall
+#CFLAGS		:= -O -g
+CFLAGS		+= -Wall
+SOCFLAGS	:= -fpic -D_REENTRANT $(CFLAGS)
+
+USE_STATIC_LIB ?= 0
+BUILD_STATIC_LIB ?= 1
+ifeq ($(USE_STATIC_LIB),1)
+BUILD_STATIC_LIB := 1
+endif
 
 KERNELVERSION	:= $(shell uname -r)
 
@@ -35,6 +45,6 @@
 all:
 
 EXTRA	:=
-#EXTRA	+= py-smbus
-SRCDIRS	:= include eeprom stub tools $(EXTRA)
+#EXTRA	+= eeprog py-smbus
+SRCDIRS	:= include lib eeprom stub tools $(EXTRA)
 include $(SRCDIRS:%=%/Module.mk)

=== debian/changelog ===
i2c-tools (4.0-2) unstable; urgency=medium

  * Switch architecture to linux-any (Closes: #883120).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 02 Dec 2017 19:12:24 +0100

i2c-tools (4.0-1) unstable; urgency=medium

  * New upstream release:
    - Add a libi2c0 package containing the new shared library.
    - Change libi2c-dev into a arch:any.
    - Update debian/copyright with the new location and licenses.
    - The <linux/i2c-dev.h> include has been replaced by <i2c/smbus.h>,
      remove the diversion on upgrade (Closes: #798409).
  * Add 03-sysfs-buffer-overflow.diff to fix buffer overflows in sysfs paths.
  * Switch to debhelper 10.
  * Change the priority to optional from extra, as required by the Debian
    Policy 4.0.1.
  * Bump Standards-Version to 4.1.1.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 25 Nov 2017 18:35:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: i2c-tools
 Section: utils
-Priority: extra
-Build-Depends: debhelper, dh-python, python-all-dev, python3-all-dev
+Priority: optional
+Build-Depends: debhelper (>= 10), dh-python, python-all-dev, python3-all-dev
 Maintainer: Aurelien Jarno <aurel32@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
+Homepage: https://www.kernel.org/pub/software/utils/i2c-tools/
 X-Python-Version: >= 2.2
 X-Python3-Version: >= 3.0
 
@@ -19,15 +20,31 @@
  probing tool, a chip dumper, register-level access helpers, EEPROM
  decoding scripts, and more.
 
+Package: libi2c0
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Section: libs
+Multi-Arch: same
+Description: userspace I2C programming library
+ I2C devices are usually controlled by a kernel driver.  Using this
+ library it is also possible to access all devices on an adapter 
+ from userspace and without the knowledge of Linux kernel internals.
+ .
+ This package contains what you need to run programs that use this
+ library.
+
 Package: libi2c-dev
-Architecture: all
-Depends: ${misc:Depends}
+Architecture: linux-any
+Depends: libi2c0 (= ${binary:Version}), ${misc:Depends}
 Section: libdevel
 Recommends: i2c-tools
 Description: userspace I2C programming library development files
- I2C devices are usually controlled by a kernel driver. Using this
+ I2C devices are usually controlled by a kernel driver.  Using this
  library it is also possible to access all devices on an adapter 
  from userspace and without the knowledge of Linux kernel internals.
+ .
+ This package contains what you need for compiling sources that
+ use this library in your own code.
 
 Package: python-smbus
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 PYVERS = $(PY2VERS) $(PY3VERS)
 
 %:
-	dh $@ --parallel --with python2,python3
+	dh $@ --with python2,python3
 
 override_dh_auto_build:
 	$(MAKE) CFLAGS="$(CPPFLAGS) $(CFLAGS)"
@@ -14,7 +14,7 @@
 	done
 
 override_dh_auto_install:
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp prefix=/usr
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp prefix=/usr libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 	cd py-smbus && for v in $(PYVERS) ; do \
 		CFLAGS="$(CPPFLAGS) $(CFLAGS) -I../include" python$$v setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
 	done

## i2c-tools 4.1

=== Makefile ===
--- 
+++ 
@@ -7,14 +7,14 @@
 # the Free Software Foundation; either version 2 of the License, or
 # (at your option) any later version.
 
-DESTDIR	=
-prefix	= /usr/local
-bindir	= $(prefix)/bin
-sbindir	= $(prefix)/sbin
-mandir	= $(prefix)/share/man
+DESTDIR	?=
+PREFIX	?= /usr/local
+bindir	= $(PREFIX)/bin
+sbindir	= $(PREFIX)/sbin
+mandir	= $(PREFIX)/share/man
 man8dir	= $(mandir)/man8
-incdir	= $(prefix)/include
-libdir	= $(prefix)/lib
+incdir	= $(PREFIX)/include
+libdir	= $(PREFIX)/lib
 
 INSTALL		:= install
 INSTALL_DATA	:= $(INSTALL) -m 644
@@ -25,6 +25,7 @@
 
 CC	?= gcc
 AR	?= ar
+STRIP	?= strip
 
 CFLAGS		?= -O2
 # When debugging, use the following instead
@@ -32,10 +33,20 @@
 CFLAGS		+= -Wall
 SOCFLAGS	:= -fpic -D_REENTRANT $(CFLAGS)
 
+BUILD_DYNAMIC_LIB ?= 1
+BUILD_STATIC_LIB ?= 1
 USE_STATIC_LIB ?= 0
-BUILD_STATIC_LIB ?= 1
+
 ifeq ($(USE_STATIC_LIB),1)
 BUILD_STATIC_LIB := 1
+endif
+
+ifeq ($(BUILD_DYNAMIC_LIB),0)
+ifeq ($(BUILD_STATIC_LIB),0)
+$(error BUILD_DYNAMIC_LIB and BUILD_STATIC_LIB cannot be disabled at the same time)
+else
+USE_STATIC_LIB := 1
+endif
 endif
 
 KERNELVERSION	:= $(shell uname -r)

=== debian/changelog ===
i2c-tools (4.1-2build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:19:59 +0100

i2c-tools (4.1-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:07:27 +0000

i2c-tools (4.1-2) unstable; urgency=medium

  * Drop python2 package (closes: #936716).
  * Bump Standards-Version to 4.4.0.
  * Add symbols file.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 31 Aug 2019 10:54:44 +0200

i2c-tools (4.1-1) unstable; urgency=medium

  * New upstream version:
    - Drop debian/patches/03-sysfs-buffer-overflow.diff (upstreamed).
    - Update debian/copyright to reflect that the library is now released
      under LGPL version 2.1 or later.
  * Drop X-Python-Version and X-Python3-Version fields.
  * Bump Standards-Version to 4.2.1.
  * Set Rules-Requires-Root: no.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 04 Dec 2018 19:37:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: i2c-tools
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 10), dh-python, python-all-dev, python3-all-dev
+Build-Depends: debhelper-compat (= 12), dh-python, python3-all-dev
+Rules-Requires-Root: no
+Standards-Version: 4.2.1
 Maintainer: Aurelien Jarno <aurel32@debian.org>
-Standards-Version: 4.1.1
 Homepage: https://www.kernel.org/pub/software/utils/i2c-tools/
-X-Python-Version: >= 2.2
-X-Python3-Version: >= 3.0
 
 Package: i2c-tools
 Architecture: linux-any
@@ -46,18 +45,6 @@
  This package contains what you need for compiling sources that
  use this library in your own code.
 
-Package: python-smbus
-Architecture: linux-any
-Section: python
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
-Recommends: i2c-tools
-Description: Python bindings for Linux SMBus access through i2c-dev 
- This Python module allows SMBus access through the I2C /dev interface on 
- Linux hosts.  The host kernel must have I2C support, I2C device interface
- support, and a bus adapter driver.
-
 Package: python3-smbus
 Architecture: linux-any
 Section: python

=== debian/rules ===
#!/usr/bin/make -f

PY3VERS = $(shell py3versions -v -r debian/control)

%:
	dh $@ --with python3

override_dh_auto_build:
	$(MAKE) CFLAGS="$(CPPFLAGS) $(CFLAGS)"
	cd py-smbus && for v in $(PY3VERS) ; do \
		CFLAGS="$(CPPFLAGS) $(CFLAGS) -I../include" python$$v setup.py build ; \
	done

override_dh_auto_install:
	$(MAKE) install PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp prefix=/usr libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
	cd py-smbus && for v in $(PY3VERS) ; do \
		CFLAGS="$(CPPFLAGS) $(CFLAGS) -I../include" python$$v setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done

override_dh_auto_clean:
	rm -rf py-smbus/build
	dh_auto_clean

## i2c-tools 4.2

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 bindir	= $(PREFIX)/bin
 sbindir	= $(PREFIX)/sbin
 mandir	= $(PREFIX)/share/man
+man3dir	= $(mandir)/man3
 man8dir	= $(mandir)/man8
 incdir	= $(PREFIX)/include
 libdir	= $(PREFIX)/lib

=== eepromer/Makefile ===
#eepromer  Makefile

CFLAGS = -O2 -I../include -Wall

all:  eepromer eeprom

eepromer:  eepromer.o

eeprom:  eeprom.o

clean:
	rm -rf *~ *.o eepromer eeprom

=== debian/changelog ===
i2c-tools (4.2-2) unstable; urgency=medium

  * Suggest python3-smbus instead of python-smbus (closes: #991010).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 24 Jul 2021 15:17:41 +0200

i2c-tools (4.2-1) unstable; urgency=medium

  * New upstream version:
    - Refresh 01-decode-dimms-no-eeprom.diff.
  * Mark usr/lib/python3/dist-packages/smbus-1.1.egg-info as not installed.
  * Switch to debhelper 13.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 14 Oct 2020 18:01:27 +0200

=== debian/control ===
Source: i2c-tools
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13), dh-python, python3-all-dev
Rules-Requires-Root: no
Standards-Version: 4.2.1
Maintainer: Aurelien Jarno <aurel32@debian.org>
Homepage: https://www.kernel.org/pub/software/utils/i2c-tools/

Package: i2c-tools
Architecture: linux-any
Section: utils
Conflicts: lm-sensors (<< 1:3.0.0-1)
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, adduser, udev
Recommends: read-edid
Suggests: libi2c-dev, python3-smbus
Description: heterogeneous set of I2C tools for Linux
 This package contains a heterogeneous set of I2C tools for Linux: a bus
 probing tool, a chip dumper, register-level access helpers, EEPROM
 decoding scripts, and more.

Package: libi2c0
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Multi-Arch: same
Description: userspace I2C programming library
 I2C devices are usually controlled by a kernel driver.  Using this
 library it is also possible to access all devices on an adapter
 from userspace and without the knowledge of Linux kernel internals.
 .
 This package contains what you need to run programs that use this
 library.

Package: libi2c-dev
Architecture: linux-any
Depends: libi2c0 (= ${binary:Version}), ${misc:Depends}
Section: libdevel
Recommends: i2c-tools
Description: userspace I2C programming library development files
 I2C devices are usually controlled by a kernel driver.  Using this
 library it is also possible to access all devices on an adapter
 from userspace and without the knowledge of Linux kernel internals.
 .
 This package contains what you need for compiling sources that
 use this library in your own code.

Package: python3-smbus
Architecture: linux-any
Section: python
Multi-Arch: same
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Recommends: i2c-tools
Description: Python 3 bindings for Linux SMBus access through i2c-dev
 This Python 3 module allows SMBus access through the I2C /dev interface on
 Linux hosts.  The host kernel must have I2C support, I2C device interface
 support, and a bus adapter driver.

## i2c-tools 4.3

=== debian/changelog ===
i2c-tools (4.3-4build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 11:11:46 +0000

i2c-tools (4.3-4build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:02:11 +0000

i2c-tools (4.3-4) unstable; urgency=medium

  * Clean py-smbus/smbus.egg-info in the clean rule (closes: #1049218).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 14 Aug 2023 17:17:45 +0000

i2c-tools (4.3-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2.
  * Add 03-setuptools.diff from upstream to use setuptools instead of
    distutils (removed in Python 3.12).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 02 Jul 2023 14:39:57 +0000

i2c-tools (4.3-2) unstable; urgency=medium

  * Mark libi2c-dev as Multi-Arch: same.
  * Add a watch file.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 30 Dec 2021 15:34:46 +0100

i2c-tools (4.3-1) unstable; urgency=medium

  * New upstream version.
  * Drop Section entry for i2c-tools (inherited from source).
  * Drop ancient conflicts with lm-sensors 2 for i2c-tools.
  * Drop libi2c-dev postinst script to support upgrade from ancient package
    version.
  * Bump Standards-Version to 4.6.0.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 20 Dec 2021 21:14:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: i2c-tools
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (= 13), dh-python, python3-all-dev
+Build-Depends: debhelper-compat (= 13), dh-python, python3-all-dev, python3-setuptools
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.6.2
 Maintainer: Aurelien Jarno <aurel32@debian.org>
 Homepage: https://www.kernel.org/pub/software/utils/i2c-tools/
 
 Package: i2c-tools
 Architecture: linux-any
-Section: utils
-Conflicts: lm-sensors (<< 1:3.0.0-1)
 Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, adduser, udev
 Recommends: read-edid
 Suggests: libi2c-dev, python3-smbus
@@ -35,8 +33,9 @@
 Package: libi2c-dev
 Architecture: linux-any
 Depends: libi2c0 (= ${binary:Version}), ${misc:Depends}
+Recommends: i2c-tools
 Section: libdevel
-Recommends: i2c-tools
+Multi-Arch: same
 Description: userspace I2C programming library development files
  I2C devices are usually controlled by a kernel driver.  Using this
  library it is also possible to access all devices on an adapter

=== debian/rules ===
--- 
+++ 
@@ -18,5 +18,5 @@
 	done
 
 override_dh_auto_clean:
-	rm -rf py-smbus/build
-	dh_auto_clean 
+	rm -rf py-smbus/build py-smbus/smbus.egg-info
+	dh_auto_clean

## i2c-tools 4.4

=== Makefile ===
--- 
+++ 
@@ -50,8 +50,6 @@
 endif
 endif
 
-KERNELVERSION	:= $(shell uname -r)
-
 .PHONY: all strip clean install uninstall
 
 all:

=== debian/changelog ===
i2c-tools (4.4-2build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:19:59 +0000

i2c-tools (4.4-2) unstable; urgency=medium

  * Rewrite debian/copyright in Machine-readable format
  * Bump Standards-Version to 4.7.2 (no changes)

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 03 Apr 2025 23:19:25 +0200

i2c-tools (4.4-1) unstable; urgency=medium

  * New upstream release
  * Remove debian/patches/03-setuptools.diff, upstreamed
  * Update debian/watch to version 4
  * Set DEB_BUILD_MAINT_OPTIONS = hardening=+all to make lintian happier
  * Bump Standards-Version to 4.7.0 (no changes)
  * Add Vcs-git and Vcs-browser to debian/control
  * Simplify debian/rules
  * Fix cross-build

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 26 Oct 2024 18:11:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,21 @@
 Source: i2c-tools
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (= 13), dh-python, python3-all-dev, python3-setuptools
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               libpython3-all-dev,
+               python3-all:any,
+               python3-setuptools
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Maintainer: Aurelien Jarno <aurel32@debian.org>
 Homepage: https://www.kernel.org/pub/software/utils/i2c-tools/
+Vcs-Git: https://salsa.debian.org/aurel32/i2c-tools.git
+Vcs-Browser: https://salsa.debian.org/aurel32/i2c-tools
 
 Package: i2c-tools
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, adduser, udev
+Depends: adduser, udev, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
 Recommends: read-edid
 Suggests: libi2c-dev, python3-smbus
 Description: heterogeneous set of I2C tools for Linux
@@ -19,7 +25,7 @@
 
 Package: libi2c0
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Section: libs
 Multi-Arch: same
 Description: userspace I2C programming library
@@ -48,7 +54,7 @@
 Architecture: linux-any
 Section: python
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Provides: ${python3:Provides}
 Recommends: i2c-tools
 Description: Python 3 bindings for Linux SMBus access through i2c-dev

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=smbus

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -O--buildsystem=makefile -- CFLAGS="$(CPPFLAGS) $(CFLAGS)"
	dh_auto_build -O--buildsystem=pybuild -- --dir=py-smbus

override_dh_auto_install:
	dh_auto_install -O--buildsystem=makefile -- PREFIX=/usr libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
	dh_auto_install -O--buildsystem=pybuild -- --dir=py-smbus

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=makefile
	dh_auto_clean -O--buildsystem=pybuild -- --dir=py-smbus

=== debian/watch ===
version=4
https://www.kernel.org/pub/software/utils/@PACKAGE@/ @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ debian
